Arguments$getNumerics {R.utils} | R Documentation

## Coerces to a numeric vector and validates

### Description

Coerces to a numeric vector and validates.

### Usage

    ## Static method (use this):
    ## Arguments$getNumerics(x, range=NULL, asMode=NULL, disallow=NULL, ..., .name=NULL)

    ## Don't use the below:
    ## S3 method for class 'Arguments'
    getNumerics(static, x, range=NULL, asMode=NULL, disallow=NULL, ..., .name=NULL)

### Arguments

`x` | A `vector`.
`range` | Two `numeric`s for the allowed ranged. If `NULL`, range is not checked.
`asMode` | A `character` specifying the mode to coerce to.
`disallow` | A `character` `vector` specifying diallowed value sets, i.e. `"NA"`, `"NaN"`, and/or `"Inf"`.
`...` | Arguments passed to @method "getVector".
`.name` | A `character` string for name used in error messages.

### Value

Returns a `numeric` `vector`.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Arguments`.

[Package R.utils version 2.6.0 Index]